package com.ht.ui.energy.util;


public abstract class EnergyConverterUtil {
	
	/**
	 * 将不同的能耗值折算成标准煤(千克) 
	 * @param energyIndex 分项索引
	 * @param value
	 * @return 折算后的标准煤, 单位为千克, 如果不支持折算,返回-1
	 */
	public static double convert(String energyIndex, double value) {
		if (energyIndex.startsWith("电")) {// 每千瓦时
			return value / 10000 * 1299;
		} else if (energyIndex.startsWith("水")) {
			return -1;
		} else if (energyIndex.startsWith("燃气/天然气")) {// 每立方米
			return value / 10000 * 12143;
		} else if (energyIndex.startsWith("燃气/焦炉煤气")) {// 每立方米
			return value / 10000 * 5714;
		} else if (energyIndex.startsWith("燃气/其它煤气")) {// 每立方米
			return value / 10000 * 3570;
		} else if (energyIndex.startsWith("集中供热量")) {// 每百万千焦mkj
			return value * 1299;
		} else if (energyIndex.startsWith("集中供冷量")) {
			return -1;
		} else if (energyIndex.startsWith("其它能源")) {
			return -1;
		} else if (energyIndex.startsWith("煤")) {// 每千克
			return value * 0.7143;
		} else if (energyIndex.startsWith("液化石油气")) {// 每千克
			return value * 1.7143;
		} else if (energyIndex.startsWith("人工煤气")) {// 每立方米
			return value / 10000 * 3570;
		} else if (energyIndex.startsWith("汽油")) {// 每千克
			return value * 14714;
		} else if (energyIndex.startsWith("煤油")) {// 每千克
			return value * 14714;
		} else if (energyIndex.startsWith("柴油")) {// 每千克
			return value * 14571;
		} else if (energyIndex.startsWith("可再生能源")) {
			return -1;
		} else {// 未知
			return -1;
		}
	}
	
	/**
	 * 获取不同能耗类型的能耗单位
	 * @param energyIndex
	 * @return
	 */
	public static String getEnergyUnit(String energyIndex) {
		if (energyIndex.startsWith("电")) {// 每千瓦时
			return "kWh";
		} else if (energyIndex.startsWith("水")) {
			return "m3";
		} else if (energyIndex.startsWith("燃气")) {// 每立方米
			return "m3";
		} else if (energyIndex.startsWith("集中供热量")) {// 每百万千焦
			return "mkj";
		} else if (energyIndex.startsWith("集中供冷量")) {
			return "";
		} else if (energyIndex.startsWith("其它能源")) {
			return "";
		} else if (energyIndex.startsWith("煤")) {// 每千克
			return "kg";
		} else if (energyIndex.startsWith("液化石油气")) {// 每千克
			return "kg";
		} else if (energyIndex.startsWith("人工煤气")) {// 每立方米
			return "m3";
		} else if (energyIndex.startsWith("汽油")) {// 每千克
			return "kg";
		} else if (energyIndex.startsWith("煤油")) {// 每千克
			return "kg";
		} else if (energyIndex.startsWith("柴油")) {// 每千克
			return "kg";
		} else if (energyIndex.startsWith("可再生能源")) {
			return "";
		} else {// 未知
			return "";
		}
	}
	
	public static String getEnergyTitle(String energyIndex) {
		if (energyIndex.startsWith("电")) {// 每千瓦时
			return "用电";
		} else if (energyIndex.startsWith("水")) {
			return "用水";
		} else if (energyIndex.startsWith("煤")) {// 每千克
			return "用煤";
		} else {// 未知
			return energyIndex;
		}
	}
}
